Subject: bug#26402: 25.2; Font rendering extremely slow on any non-default font

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 17 Nov 2019 08:47:36 +0100

Eli Zaretskii <[email-masked]> writes:

> The function we are interested in is font-info, or Ffont_info on the C
> level.  Its code is in the file font.c around line 5100.  It calls
> various other functions, like fs_query_fontset and font_open_by_name.
> I'd like to know which one of them takes most of the time, then drill
> down into that function and find out which of its subroutines takes
> most of the time, etc.  One way of doing that is step through the code
> and find the line whose execution takes a perceptible time.

This was two years ago, and there was no followup.  I'm not able to
reproduce the problem here, and the font machinery in Emacs has changed
substantially in Emacs 27, so I'm closing this bug report.

If this is still a problem, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no